%global pypi_name    strict-rfc3339
%global package_name %(echo "%{pypi_name}" | tr '-' '_' | tr '[:upper:]' '[:lower:]')

%{?scl:%global python3_pkgversion %{nil}}
%{?scl:%scl_package python-%{pypi_name}}
%{!?scl:%global pkg_name %{name}}

Name:           %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
Version:        0.7
Release:        1%{?dist}
Summary:        Strict, simple, lightweight RFC3339 functions

Group:          Development/Libraries
License:        GPLv3
URL:            https://pypi.io/project/%{pypi_name}
Source0:        https://pypi.io/packages/source/%(echo "%{pypi_name}" | cut -c 1)/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  %{?scl_prefix_python}python%{python3_pkgversion}-devel
BuildRequires:  %{?scl_prefix_python}python%{python3_pkgversion}-setuptools
%{?scl:BuildRequires: %{scl}-build %{scl}-runtime}

%{?scl:Requires: %{scl}-runtime}

%description
Strict, simple, lightweight RFC3339 functions.

%prep
%setup -q -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%build
%{?scl:scl enable %{scl} "}
%{__python3} setup.py build
%{?scl:"}

%install
%{?scl:scl enable %{scl} "}
%{__python3} \
  setup.py \
  install \
  -O1 \
  --skip-build \
  --root %{buildroot} \
  --install-purelib %{python3_sitelib}
%{?scl:"}

%files
%license LICENSE
%doc AUTHORS
%doc README.md
%{python3_sitelib}/__pycache__/%{package_name}.*
%{python3_sitelib}/%{package_name}.py
%{python3_sitelib}/%{package_name}-%{version}-py?.?.egg-info

%changelog
* Tue Dec 11 2018 Daniel Uvehag <daniel.uvehag@gmail.com> - 0.7-1
- Initial package.
